Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slaed5

    java.lang.Object
      org.netlib.lapack.Slaed5

    public class Slaed5

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  This subroutine computes the I-th eigenvalue of a symmetric rank-one

     *  modification of a 2-by-2 diagonal matrix
     *
     *             diag( D )  +  RHO *  Z * transpose(Z) .
     *
     *  The diagonal elements in the array D are assumed to satisfy
     *
     *             D(i) < D(j)  for  i < j .
     *
     *  We also assume RHO > 0 and that the Euclidean norm of the vector
     *  Z is one.
     *
     *  Arguments
     *  =========
     *
     *  I      (input) INTEGER
     *         The index of the eigenvalue to be computed.  I = 1 or I = 2.
     *
     *  D      (input) REAL array, dimension (2)
     *         The original eigenvalues.  We assume D(1) < D(2).
     *
     *  Z      (input) REAL array, dimension (2)
     *         The components of the updating vector.
     *
     *  DELTA  (output) REAL array, dimension (2)
     *         The vector DELTA contains the information necessary
     *         to construct the eigenvectors.
     *
     *  RHO    (input) REAL
     *         The scalar in the symmetric updating formula.
     *
     *  DLAM   (output) REAL
     *         The computed lambda_I, the I-th updated eigenvalue.
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Ren-Cang Li, Computer Science Division, University of California
     *     at Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Slaed5()`

Method Summary
`static void` | `slaed5(int i, float[] d, int _d_offset, float[] z, int _z_offset, float[] delta, int _delta_offset, float rho, floatW dlam)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slaed5

    public Slaed5()

Method Detail

### slaed5

    public static void slaed5(int i,
                              float[] d,
                              int _d_offset,
                              float[] z,
                              int _z_offset,
                              float[] delta,
                              int _delta_offset,
                              float rho,
                              floatW dlam)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD